MappingException (Java UNO Runtime Reference)

Package com.sun.star.uno

## Class MappingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sun.star.uno.RuntimeException
        - - com.sun.star.uno.MappingException

- All Implemented Interfaces:
    `Serializable`

      @Deprecated
      public class MappingException
      extends RuntimeException

  Deprecated.
  since UDK 3.0.2
  The mapping Exception.

  The exception is replaced by the com.sun.star.lang.DisposedException.

  See Also:
    `UnoRuntime`, `IQueryInterface`, `IBridge`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.star.uno.RuntimeException

      `Context, UNOTYPEINFO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MappingException()` | Deprecated. Constructs an empty `MappingException`.
    `MappingException​(String message)` | Deprecated. Constructs an `MappingException` with a detail message.
    `MappingException​(String message, Object context)` | Deprecated. Constructs an `MappingException` with a detail message and a context.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MappingException

          public MappingException()

      Deprecated.
      Constructs an empty `MappingException`.

    - #### MappingException

          public MappingException​(String message)

      Deprecated.
      Constructs an `MappingException` with a detail message.
      Parameters:
        `message` - the detail message.

    - #### MappingException

          public MappingException​(String message,
                                  Object context)

      Deprecated.
      Constructs an `MappingException` with a detail message and a context.
      Parameters:
        `message` - the detail message.
        `context` - the context.